org.h2.value.lob

## Class LobDataFile

- java.lang.Object
- - org.h2.value.lob.LobData
  - - org.h2.value.lob.LobDataFile

    public final class LobDataFile
    extends LobData

LOB data stored in a temporary file.

### Constructor Summary

Constructors
Constructor and Description
`LobDataFile(DataHandler handler, java.lang.String fileName, FileStore tempFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataHandler` `getDataHandler()`
`java.io.InputStream` `getInputStream(long precision)` Get stream to read LOB data from
`void` `remove(ValueLob value)` Remove the underlying resource, if any.
`java.lang.String` `toString()`

### Methods inherited from class org.h2.value.lob.LobData

`getMemory, isLinkedToTable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LobDataFile

    public LobDataFile(DataHandler handler,
                       java.lang.String fileName,
                       FileStore tempFile)

### Method Detail

#### remove

    public void remove(ValueLob value)

Description copied from class: `LobData`
Remove the underlying resource, if any. For values that are kept fully in memory this method has no effect.

Overrides:
  `remove` in class `LobData`
Parameters:
  `value` - to remove

#### getInputStream

    public java.io.InputStream getInputStream(long precision)

Description copied from class: `LobData`
Get stream to read LOB data from

Specified by:
  `getInputStream` in class `LobData`
Parameters:
  `precision` - octet length of the stream, or -1 if unknown
Returns:
  stream to read LOB data from

#### getDataHandler

    public DataHandler getDataHandler()

Overrides:
  `getDataHandler` in class `LobData`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`